> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/items/{itemId}/history

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/items/{itemId}/history
```

where `{itemId}` is the ID of a Secure Object or collection.

## Supported methods and overview&#x20;

* `GET` - used to retrieve history information about the activities which have been performed on a specified [Secure Object](/3.0/api/creating-secure-objects-and-collections.md#secure-object) or [collection](/3.0/api/creating-secure-objects-and-collections.md#collection) (i.e. [item](/3.0/api/creating-secure-objects-and-collections.md#item)), based on the item's ID.

## Detailed description&#x20;

This API endpoint retrieves history information about the activities which have been performed on a specified Secure Object or collection, using this item's ID.

The item's ID can be obtained by calling the [\<access-service>/api/v1/items](/3.0/api/access-service-api-v1-items.md) API endpoint, which retrieves a list of information associated with Secure Objects and collections that can be filtered using various 'search' criteria.

The amount of history information retrieved in a response depends on the role of the currently authenticated Covata user<sup>\*</sup> (below), as well as:

* The items that the currently authenticated user<sup>\*</sup> owns and
* The items which have been shared with this user.

<sup>\*</sup> The currently authenticated user is determined by the access token passed in the [header](/3.0/api/access-service-api-v1-items-itemid-history.md#access-service-api-v1-items-itemid-history-required-headers) of requests to this endpoint.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.0/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.0/admin.md)):

* [Originator](/3.0/admin/administering-users.md#originator-role)
* [Collaborator](/3.0/admin/administering-users.md#collaborator-role)
* [System administrator](/3.0/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.0/api/access-service-api-v1-items-itemid-history.md#access-service-api-v1-items-itemid-history-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Optional parameters&#x20;

The following optional parameters can be sent in the URL of the GET request:

* **cursor** - default is 0.
* **pageSize** - 1 to 100 (default is 10).

  **Example ():**

## Returns&#x20;

A JSON-formatted response containing the following members:

* **activities** - .

  * **actor** - .

    * **id** - .
    * **firstName** - .
    * **lastName** - .
    * **email** - .
  * **action** - .

    * **ACCESS\_ORIGINAL\_CONTENT** - .
    * **ACCESS\_VIEWABLE\_CONTENT** - .
    * **UNKNOWN** - .
    * **ACCESS\_DENIED** - .
    * **ACCESS\_GRANTED** - .
    * **ACCESS\_REVOKED** - .
    * **CREATE\_ITEM** - .
    * **DELETE\_ITEM** - .
    * **MOVE\_ITEM** - .
    * **PERMISSION\_CHANGE** - .
    * **REMOVE\_SELF\_FROM\_COLLABORATORS** - .
    * **RENAME\_ITEM** - .
    * **SET\_VIEWABLE\_CONTENT** - .
    * **SHARE\_ITEM** - .
    * **UNSHARE\_ITEM** - .
    * **CHANGE\_ITEM\_OWNER** - .
  * **severity** - .
  * **target** - .
  * **timestamp** - .
* **nextCursor** - .
* **previousCursor** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.